- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# sharedFileInfo Struct Reference

`#include <psm.h>`

## Data Fields
int | pkgFileNum
int | otherFileNum
int | otherPkg
int | isRemoved

## Detailed Description

Definition at line 14 of file psm.h.

## Field Documentation

int sharedFileInfo::pkgFileNum

Definition at line 15 of file psm.h.

Referenced by handleInstInstalledFiles(), handleRmvdInstalledFiles(), and rpmRunTransactions().

int sharedFileInfo::otherFileNum

Definition at line 16 of file psm.h.

Referenced by handleInstInstalledFiles(), handleRmvdInstalledFiles(), and rpmRunTransactions().

int sharedFileInfo::otherPkg

Definition at line 17 of file psm.h.

Referenced by handleInstInstalledFiles(), handleRmvdInstalledFiles(), markReplacedFiles(), rpmRunTransactions(), and sharedCmp().

int sharedFileInfo::isRemoved

Definition at line 18 of file psm.h.

Referenced by handleInstInstalledFiles(), and rpmRunTransactions().

The documentation for this struct was generated from the following file:

- lib/psm.h